Cue Docs
Template Management API

List Templates

List WhatsApp message templates with optional filtering.

Guide: Template Management API
GET
/v1/templates

List WhatsApp message templates with optional filtering.

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API token from Settings > API Tokens in your Cue workspace. See Authentication.

Query Parameters

limit?Limit
Range1 <= value <= 100
Default50
offset?Offset
Range0 <= value
Default0
status?|null
category?|null
search?|null

Header Parameters

Authorization?|

An API token from Settings > API Tokens, as Bearer <token>.

Response Body

Successful Response

application/json
  1. response
templates*array<>
pagination*

Base pagination response model

Example Request
curl -X GET 'https://api.cuedesk.com/v1/templates' \
  -H 'Authorization: Bearer <token>'
Example Response
{
  "templates": [
    {
      "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
      "workspace_uuid": "8360bf61-4604-4f22-99dc-2afa910fd8c7",
      "name": "string",
      "canonical_name": "string",
      "locale": "string",
      "category": "MARKETING",
      "template_type": "STANDARD",
      "status": "PREPARING",
      "rejection_reason": "string",
      "content": {
        "header": {
          "format": "TEXT",
          "text": "string",
          "example": [
            "string"
          ]
        },
        "body": {
          "text": "string",
          "example": [
            "string"
          ]
        },
        "footer": {
          "text": "string"
        },
        "buttons": [],
        "cards": [
          {
            "header": {
              "format": "TEXT",
              "text": "string",
              "example": [
                "string"
              ]
            },
            "body": {
              "text": "string",
              "example": [
                "string"
              ]
            },
            "buttons": []
          }
        ],
        "auth": {
          "auth_category_type": "string",
          "code_expiry_minutes": 0,
          "auth_body_inputs": {
            "add_security_message": true,
            "add_contact": true
          }
        }
      },
      "enabled_in_livechat": true,
      "continue_session": true,
      "created_at": "string",
      "updated_at": "string"
    }
  ],
  "pagination": {
    "limit": 0,
    "offset": 0,
    "total": 0
  }
}